@echo off 
cd /d %~dp0

@REM Seek for Regkey(11n) & Send RegPath to File
SET REGKEY="HKEY_LOCAL_MACHINE\SYSTEM\Controlset001\Enum\USB\VID_8087&PID_07DC"
reg query %REGKEY% > reg_path.ini

for /f "delims=" %%A in (reg_path.ini) do echo %%A>reg_path.ini
set /p REG_PATH=<reg_path.ini


reg add "%REG_PATH%\Device Parameters" /v SelectiveSuspendEnabled /t REG_DWORD /d 0 /f

del reg_path.ini
